﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;


using System.Configuration;
using System.Data.SqlClient;

namespace Insert_Database_Windows_CS
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            cbCountries.Items.Add("Please Select");
            cbCountries.Items.Add("United States");
            cbCountries.Items.Add("India");
            cbCountries.Items.Add("France");
            cbCountries.Items.Add("Russia");
        }

        private void OnInsert(object sender, EventArgs e)
        {
            int customerId;
            string query = "INSERT INTO Customers (Name, Country) VALUES(@Name, @Country)";
            query += " SELECT SCOPE_IDENTITY()";
            string constring = ConfigurationManager.ConnectionStrings["constr"].ConnectionString;
            using (SqlConnection con = new SqlConnection(constring))
            {
                using (SqlCommand cmd = new SqlCommand(query))
                {
                    cmd.Parameters.AddWithValue("@Name", txtName.Text);
                    cmd.Parameters.AddWithValue("@Country", cbCountries.SelectedItem);
                    cmd.Connection = con;
                    con.Open();
                    customerId = Convert.ToInt32(cmd.ExecuteScalar());
                    con.Close();
                }
            }
            txtName.Text = string.Empty;
            cbCountries.Text = string.Empty;
            MessageBox.Show("Inserted Customer ID: " + customerId);
        }
    }
}
